%define upstream_name    Devel-LexAlias
%define upstream_version 0.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Alias lexical variables
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Devel::Caller)
BuildRequires:  perl-devel


%description
Devel::LexAlias provides the ability to alias a lexical variable in a
subroutines scope to one of your choosing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorarch}/Devel/*
%{perl_vendorarch}/auto/Devel/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-6.mga3
+ Revision: 365785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-5.mga3
+ Revision: 250520
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-4.mga2
+ Revision: 104179
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-3.mga1
+ Revision: 33716
- mageia rebuild
- imported package perl-Devel-LexAlias

